Skip to main content
`Ctrl`+`K`

# PetscDrawEllipse

Draws an ellipse onto a drawable.

## Synopsis

    #include "petscdraw.h"
    PetscErrorCode PetscDrawEllipse(PetscDraw draw, PetscReal x, PetscReal y, PetscReal a, PetscReal b, int c)

Not Collective

## Input Parameters

- draw - The drawing context

- x - The x coordinate of the center

- y - The y coordinate of the center

- a - The major axes length

- b - The minor axes length

- c - The color

## See Also

`PetscDraw`, `PetscDrawRectangle()`, `PetscDrawTriangle()`, `PetscDrawMarker()`, `PetscDrawPoint()`, `PetscDrawString()`, `PetscDrawArrow()`

## Level

beginner

## Location

src/sys/classes/draw/interface/dellipse.c

## Implementations

PetscDrawEllipse_Image() in src/sys/classes/draw/impls/image/drawimage.c
PetscDrawEllipse_Null() in src/sys/classes/draw/impls/null/drawnull.c
PetscDrawEllipse_TikZ() in src/sys/classes/draw/impls/tikz/tikz.c
PetscDrawEllipse_X() in src/sys/classes/draw/impls/x/xops.c

Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages